* {
    margin: 0;
    padding: 0;
}

body {
    padding: 2em;
    background-color: whitesmoke;
}

h1 {
    text-align: center;
    margin-bottom: .5em;
}

.main-box {
    margin: auto;
    border: 3px solid black;
    box-shadow: 8px 5px 10px .5px black;   
    gap: 0; 
    display: flex;
    flex-wrap: wrap;
}

.box {
    flex-grow: 1;
}

button {
    display: block;
    width: fit-content;
    margin: auto;
    margin-bottom: 1em;
}